DELETE Accounts
Gebruik dit endpoint om een account binnen een branch te verwijderen.
Gebruikersniveau: Gevorderd
Endpoint
DELETE /v1/{scopeId}/accounts/{id}| Eigenschap | Waarde |
|---|---|
| Method | DELETE |
| Scope ID | Branch UUID |
| Resource ID | Verplichte account UUID |
| Authenticatie | Authorization: Bearer <access_token> |
| Vereiste scope | routix:accounts:write |
| Request body | Niet nodig |
Delete-regels
- De API controleert server-side of de account binnen de toegestane organization en branch valt.
- De account ID in de URL is verplicht.
- Er is geen request body nodig.
- Bij het verwijderen van een account controleert de API eerst of de account gekoppeld is aan de branch uit de URL via
account_branches.
Voorbeeldrequest
curl -X DELETE "https://api.routix.com/v1/550e8400-e29b-41d4-a716-446655440000/accounts/550e8400-e29b-41d4-a716-446655440001" \
-H "Authorization: Bearer eyJhbGciOiJIUzI1NiIs..."Voorbeeldresponse
{
"data": {
"id": "550e8400-e29b-41d4-a716-446655440001",
"deleted": true
},
"version": "v1"
}Foutresponse
{
"error": "not_found",
"error_description": "The account could not be found for this branch"
}Mogelijke foutcodes
400 invalid_request401 unauthorized401 invalid_token403 invalid_token_type403 insufficient_scope404 not_found405 method_not_allowed
Last updated on

